Bug 699088 - Wrong log file referred to when scriptlet error occurs during upgrade
Summary: Wrong log file referred to when scriptlet error occurs during upgrade
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-23 00:34 UTC by Charlie Brady
Modified: 2011-04-29 13:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-29 13:57:05 UTC


Attachments (Terms of Use)

Description Charlie Brady 2011-04-23 00:34:34 UTC
If a scriptlet error occurs during an upgrade, a dialog appears saying:

                msg = _("An error occurred while installing packages.  Please "
                        "examine /root/install.log on your installed system for "
                        "detailed information.")

But that's the wrong logfile name during upgrade.

You probable should use instLog.

Here's where that code was added:

http://www.redhat.com/archives/anaconda-devel-list/2010-September/msg00163.html

Comment 1 Charlie Brady 2011-04-23 01:53:57 UTC
This may not be perfect, but does the job.

--- yuminstall.py.orig	2011-04-22 21:44:38.000000000 -0400
+++ yuminstall.py	2011-04-22 21:46:52.000000000 -0400
@@ -783,8 +783,8 @@
         else:
             if rc.return_code == 1:
                 msg = _("An error occurred while installing packages.  Please "
-                        "examine /root/install.log on your installed system for "
-                        "detailed information.")
+                        "examine %s on your installed system for "
+                        "detailed information.") % instLog.name.replace('/mnt/sysimage','',1)
                 log.error(msg)
 
                 if not self.anaconda.isKickstart:

You'd need to change all the L18N as well.

[Now I just need to find out why CentOS 5.6's kod-gfs-PAE i686 rpm is generating this exception on every upgrade - with nothing logged in the upgrade log.]

Comment 2 Chris Lumens 2011-04-29 13:57:05 UTC
This is fixed in the next major release of RHEL (namely, RHEL6).  If you require a fix to RHEL5, please raise this issue through your support representative who will in turn make sure it's on our schedule.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.